Class | Sequel::Postgres::AlterTableGenerator
In: | lib/sequel/adapters/shared/postgres.rb
Parent: | Sequel::Schema::AlterTableGenerator

### Methods

add_exclusion_constraint validate_constraint

### Public Instance methods

add_exclusion_constraint(elements, opts={})

Adds an exclusion constraint to an existing table, see CreateTableGenerator#exclude.

[Source]

        # File lib/sequel/adapters/shared/postgres.rb, line 81
    81:       def add_exclusion_constraint(elements, opts={})
    82:         @operations << {:op => :add_constraint, :type => :exclude, :elements => elements}.merge(opts)
    83:       end

validate_constraint(name)

Validate the constraint with the given name, which should have been added previously with NOT VALID.

[Source]

        # File lib/sequel/adapters/shared/postgres.rb, line 87
    87:       def validate_constraint(name)
    88:         @operations << {:op => :validate_constraint, :name => name}
    89:       end

[Validate]